# Storage_SolveMode.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Storage_SolveMode { Storage_AddSolve, Storage_WriteSolve, Storage_ReadSolve }
| Specifies opening modes for a file: - Storage_VSNone : no mode is specified - Storage_VSRead : the file is open for reading operations - Storage_VSWrite : the file is open for writing operations - Storage_VSReadWrite : the file is open for both reading and writing operations. . More...

## Enumeration Type Documentation

enum Storage_SolveMode

Enumeration values:

  Storage_AddSolve |
  Storage_WriteSolve |
  Storage_ReadSolve |